> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# list OTPs

> Get a list of all configured OTPs for given user



## OpenAPI

````yaml /openapi.json get /api/v1/user/{id}/otp
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/user/{id}/otp:
    get:
      tags:
        - User Route
      summary: list OTPs
      description: Get a list of all configured OTPs for given user
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CredentialModel'
      security:
        - SecurityScheme: []
components:
  schemas:
    CredentialModel:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        userLabel:
          type: string
        createdDate:
          format: int64
          type: integer
        secretData:
          type: string
        credentialData:
          type: string
        value:
          type: string
          writeOnly: true
          deprecated: true
        device:
          type: string
          writeOnly: true
          deprecated: true
        salt:
          format: binary
          type: string
          writeOnly: true
          deprecated: true
        hashIterations:
          format: int32
          type: integer
          writeOnly: true
          deprecated: true
        counter:
          format: int32
          type: integer
          writeOnly: true
          deprecated: true
        algorithm:
          type: string
          writeOnly: true
          deprecated: true
        digits:
          format: int32
          type: integer
          writeOnly: true
          deprecated: true
        period:
          format: int32
          type: integer
          writeOnly: true
          deprecated: true
        config:
          type: object
          allOf:
            - $ref: '#/components/schemas/MultivaluedHashMapStringString'
          writeOnly: true
          deprecated: true
    MultivaluedHashMapStringString:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````